## org.eclipse.jst.jsf.common.metadata
Interface Trait

    public interface Trait

A representation of the model object 'Trait'.

Provisional API - subject to change

The following features are supported:

- `Id`
- `Value`
- `Source Model Provider`

See Also:
  `MetadataPackage.getTrait()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`void` `accept(ITraitVisitor visitor)`
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`org.eclipse.jst.jsf.common.metadata.internal.IMetaDataSourceModelProvider` `getSourceModelProvider()` Returns the value of the 'Source Model Provider' attribute
`EObject` `getValue()` Returns the value of the 'Value' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setSourceModelProvider(org.eclipse.jst.jsf.common.metadata.internal.IMetaDataSourceModelProvider value)` Sets the value of the '`Source Model Provider`' attribute
`void` `setValue(EObject value)` Sets the value of the '`Value`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `MetadataPackage.getTrait_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`

### getValue

    EObject getValue()

  Returns the value of the 'Value' containment reference.

  If the meaning of the 'Value' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `setValue(EObject)`, `MetadataPackage.getTrait_Value()`

### setValue

    void setValue(EObject value)

  Sets the value of the '`Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Value' containment reference.
  See Also:
    `getValue()`

### getSourceModelProvider

    org.eclipse.jst.jsf.common.metadata.internal.IMetaDataSourceModelProvider getSourceModelProvider()

  Returns the value of the 'Source Model Provider' attribute.

  If the meaning of the 'Source Model Provider' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source Model Provider' attribute.
  See Also:
    `setSourceModelProvider(IMetaDataSourceModelProvider)`, `MetadataPackage.getTrait_SourceModelProvider()`

### setSourceModelProvider

    void setSourceModelProvider(org.eclipse.jst.jsf.common.metadata.internal.IMetaDataSourceModelProvider value)

  Sets the value of the '`Source Model Provider`' attribute.

  Parameters:
    `value` - the new value of the 'Source Model Provider' attribute.
  See Also:
    `getSourceModelProvider()`

### accept

    void accept(ITraitVisitor visitor)

  Parameters:
    `visitor` -